%global dlrn_nvr python-swiftclient-3.11.1-1.20220727110024.06b36ae
%global dlrn 1
%define upstream_version 3.11.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0

%global sname swiftclient

%global common_desc \
Client library and command line utility for interacting with Openstack \
Object Storage API.

Name:       python-swiftclient
Version: 3.11.1
Release: 1.20220727110024.06b36ae%{?dist}
Summary:    Client Library for OpenStack Object Storage API
License:    ASL 2.0
URL:        http://launchpad.net/python-swiftclient/
Source0: python-swiftclient-3.11.1-1.20220727110024.06b36ae.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=06b36ae0e2ee6054162bfb1d9f3cdda39eacbad5

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires: git-core

%description
%{common_desc}

%package -n python3-%{sname}
Summary:    Client Library for OpenStack Object Storage API
%{?python_provide:%python_provide python3-swiftclient}
Obsoletes: python2-%{sname} < %{version}-%{release}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pbr
BuildRequires: openstack-macros

Requires:      python3-requests
Requires:      python3-six
# Upstream specify as extra requirement for auth version 2 or 3
Requires:      python3-keystoneclient

%description -n python3-%{sname}
%{common_desc}

%if 0%{?with_doc}
%package doc
Summary:    Documentation for OpenStack Object Storage API Client
Group:      Documentation

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme
BuildRequires: python3-keystoneauth1

%description doc
Documentation for the client library for interacting with Openstack
Object Storage API.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

# Let RPM handle the dependencies
%py_req_cleanup

%build
%{py3_build}

%install
%{py3_install}
# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s swift %{buildroot}%{_bindir}/swift-3

# Delete tests
rm -fr %{buildroot}%{python3_sitelib}/swiftclient/tests

%if 0%{?with_doc}
sphinx-build -W -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}

sphinx-build -W -b man doc/source doc/build/man
install -p -D -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1/
%endif

%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/swiftclient
%{python3_sitelib}/*.egg-info
%{_bindir}/swift
%{_bindir}/swift-3
%{_mandir}/man1/*

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif
%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.11.1-1.20220727110024.06b36ae
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.11.1-0.20220712112831.06b36ae
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.11.1-0.20210527223641.06b36ae
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.11.1-1
- Update patches

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop lower-constraints testing
- remove unicode from code

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make py39 voting
- Have `delete --all` imply `--versions` for the CLI
- Remove some py38 job cruft
- Close connections created when calling module-level functions
- tests: Make test_delete_container_versions less flakey
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- [goal] Migrate testing to ubuntu focal
- Switch to newer openstackdocstheme and reno versions
- Clean up some requirements
- Include transaction ID in ClientException.__str__
- (Mostly) revert "Cleanup session on delete"
- Add cacert test config option

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Speed up test_lazy_connections
- Add max_backoff and starting_backoff for get_conn in swift service
- Clean up some warnings
- Application credential support follow-up

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove references to swift-specs and blueprints
- Fix pygments style
- Ussuri contrib docs community goal
- Bump default tox env from py37 to py38
- Fixed capability discovery endpoint hardcode
- Add py38 classifier
- Update docs building
- Support v3 application credentials auth.
- Change recommended test config to use auth_uri
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Drop pypy testing
- Improve `list --versions` output
- object versioning features
- Blacklist stestr 3.0.0

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Authors/changelog for 3.9.0
- Make py38 job voting
- packaging: Properly flag universal wheel
- Cleanup session on delete
- Add test for bulk-delete-attempt-counter fix
- Fix printed object names on successful bulk-delete
- v1auth: support endpoint_data_for() api
- Rename "tests" directory to be "test" like in the swift repo
- Switch to Ussuri jobs
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


